it-swarm.com.de

Mongodb kann unter Ubuntu 16.10 nicht installiert werden

Ich habe versucht, Mongodb mit offiziellen Repos zu installieren, erhalte aber immer den gleichen Fehler.

Sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 0C49F3730359A14518585931BC711F9BA15703C6

echo "deb http://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/3.4 multiverse" | Sudo tee /etc/apt/sources.list.d/mongodb-org-3.4.list

Sudo apt-get udate

Sudo apt-get install -y mongodb-org

Der Paketmanager kann mongodb-org jedoch nicht finden und installieren:

Sudo apt-get install -y mongodb-org

Leyendo lista de paquetes... Hecho

Creando árbol de dependencias       

Leyendo la información de estado... Hecho

E: No se ha podido localizar el paquete mongodb-org

Ich habe die Anweisungen der offiziellen Dokumentation ohne Erfolg befolgt.

Linux Ubuntu-WS 4.8.0-32-generic # 34-Ubuntu SMP Di 13. Dez 14:30:16 UTC 2016 i686 i686 i686 GNU/Linux

1

Soweit ich weiß, gibt es in 16.10 noch kein Paket für Mongo 3.4.
Sie können nur 2.4 von Ubuntu-Paketen erhalten http://packages.ubuntu.com/yakkety/mongodb

Lauf einfach

Sudo apt installieren Mongodb-Server

1
Bill

vorinstallation:

Sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv EA312927 
echo "deb [ Arch=AMD64,arm64 ] http://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/3.4 multiverse" | Sudo tee /etc/apt/sources.list.d/mongodb-org-3.4.list 
Sudo apt-get update

Der Fehler kommt vom Flag -y:

Sudo apt-get install -y mongodb-org

Stattdessen können Sie Folgendes verwenden:

Sudo apt-get install mongodb-org

und dann manuell annehmen oder nicht authentifizieren lassen durch:

Sudo apt-get install -y --allow-unauthenticated mongodb-org
1
Daniel